    The XSPEC varabs model: photoelectric absorption.

xsvarabs
The xsvarabs model is a multiplicative model component.

The model is described at [1] .

>>> create_model_component("xsvarabs", "mdl")
>>> print(mdl)

Create a component of the xsvarabs model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.H frozen 1 0 10000 sH22 mdl.He frozen 1 0 10000 sHe22 mdl.C frozen 1 0 10000 sC22 mdl.N frozen 1 0 10000 sN22 mdl.O frozen 1 0 10000 sO22 mdl.Ne frozen 1 0 10000 sNe22 mdl.Na frozen 1 0 10000 sNa22 mdl.Mg frozen 1 0 10000 sMg22 mdl.Al frozen 1 0 10000 sAl22 mdl.Si frozen 1 0 10000 sSi22 mdl.S frozen 1 0 10000 sS22 mdl.Cl frozen 1 0 10000 sCl22 mdl.Ar frozen 1 0 10000 sAr22 mdl.Ca frozen 1 0 10000 sCa22 mdl.Cr frozen 1 0 10000 sCr22 mdl.Fe frozen 1 0 10000 sFe22 mdl.Co frozen 1 0 10000 sCo22 mdl.Ni frozen 1 0 10000 sNi22

ATTRIBUTES

The attribute for this object is:

Attribute
Definition
H, He, C, N, O, Ne, Na, Mg, Al, Si, S, Cl, Ar, Ca, Cr, Fe, Co, Ni
See [1] for a description of the units.

Notes

The `set_xsxsect` function changes the cross sections used by this model. The `set_xsabund` function changes the relative abundances of the elements.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelVarabs.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023